@import "../../../assets/styles/main.scss";

.deviceCompatibilitySection {
  padding: 73px 0 176px 0px;
  position: relative;
  @include xxl {
    padding: 60px 15px;
  }
  span {
    color: #f00;
  }
  &::after {
    content: "";
    position: absolute;
    height: 189px;
    width: 228px;
    left: 0;
    top: -38px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/downArrowPlan.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 1;
  }
  .deviceCompatibilityMain {
    @include container-medium-1;
    .deviceSupportedEsimMain {
      border-radius: 70px;
      // display: flex;
      position: relative;
      display: grid;
      grid-template-columns: repeat(2, 1fr);

      .deviceSupportedVectore {
        position: absolute;
        left: 50%;
        top: 37px;
        width: 192px;
        height: 79px;
        transform: translateX(-50%);
        z-index: 99;
        @include lg{
          width: 160px;
        }
        img {
          width: 100%;
          height: 100%;
          object-fit: contain;
        }
      }
      .deviceSupportedLeft {
        border-top-left-radius: 70px;
        border-bottom-left-radius: 70px;
        padding: 75px;
        background: linear-gradient(
          229deg,
          #1e293b -15.51%,
          #565f6c 46.41%,
          #1e293b 96.52%
        );
        box-shadow: 0px 4px 245.9px 0px rgba(0, 0, 0, 0.25) inset;
        display: flex;
        flex-flow: column;
        gap: 24px;
        position: relative;
        z-index: 9;
        @include xl {
          padding: 60px 60px 75px;
          border-top-left-radius: 60px;
          border-bottom-left-radius: 60px;
        }
        @include lg {
          padding: 40px 40px 75px;
          border-top-left-radius: 40px;
          border-bottom-left-radius: 40px;
          gap: 20px;
        }
        .deviceSupportedleftVector {
          position: absolute;
          left: 0px;
          top: 0px;
          width: 560px;
          height: 315px;
          @include xl {
            width: 505px;
            height: 290px;
          }
          @include lg{
            width: 430px;
            height: 250px;
          }

          img {
            width: 100%;
            height: 100%;
            object-fit: contain;
          }
        }
        h1 {
          font-size: 48px;
          line-height: normal;
          @include inter700;
          color: getColorHex("white");
          @include xl {
            font-size: 42px;
          }
          @include lg {
            font-size: 36px;
          }
          span {
            color: getColorHex("orange");
          }
        }
        p {
          font-size: 16px;
          color: getColorHex("white");
          line-height: 35px;
          @include xl{
            font-size: 14px;
          }
          @include lg{
            font-size: 13px;
          }
        }
      }
      .deviceSupportedright {
        border-top-right-radius: 70px;
        border-bottom-right-radius: 70px;
        @include xl {
          border-top-right-radius: 60px;
          border-bottom-right-radius: 60px;
        }
        @include lg {
          border-top-right-radius: 40px;
          border-bottom-right-radius: 40px;
        }
        .deviceSupportedRightImage{
          width: 100%;
          height: 100%;
   
        img {
          width: 100%;
          height: 100%;
          border-top-right-radius: 70px;
          border-bottom-right-radius: 70px;
          @include xl {
            border-top-right-radius: 60px;
            border-bottom-right-radius: 60px;
          }
          @include lg {
            border-top-right-radius: 40px;
            border-bottom-right-radius: 40px;
          }
        }
      }
      }
    }
    .deviceSupportedTextMain {
      border-radius: 32px;
      background: #fff;
      box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.17);
      display: flex;
      flex-flow: column;
      gap: 36px;
      width: calc(100% - 224px);
      margin: -110px auto 0px;
      position: relative;
      z-index: 99;
      padding: 50px;
      @include xl {
        width: calc(100% - 150px);
        margin: -100px auto 0px;
        padding: 35px;
      }
      @include lg{
        width: calc(100% - 100px);
        margin: -70px auto 0px;
        padding: 25px;
      }
      .deviceSupportedBlock1 {
        padding: 20px;
        display: flex;
        flex-flow: column;
        gap: 20px;
        border-radius: 25px;
        border: 1px solid #ececec;
        background: #fff;
        h3 {
          font-size: 24px;
          @include inter700;
          line-height: 40.01px;
          @include xl{
            font-size: 22px;
          }
        }
        .deviceName {
          display: grid;
          grid-template-columns: 1fr 1fr 1fr;
          gap: 30px;
          @include xl{
            gap: 20px;
          }
          @include lg{
            gap: 10px;
          }
          .deviceBlock {
            ul {
              list-style-type: disc;
              color: getColorHex("charcoal");
              padding-left: 30px;
              @include lg{
                padding-left: 20px;
              }
              li {
                color: getColorHex("charcoal");
                font-size: 16px;
                line-height: 28px;
                @include xl{
                  font-size: 14px;
                }
                @include lg{
                  font-size: 13px;
                }
              }
            }
          }
        }
        h4 {
          font-size: 20px;
          line-height: 29px;
          @include xl{
            font-size: 18px;
          }
          @include lg{
            font-size: 16px;
          }
        }
        .deviceInnerMenu {
          border-radius: 20px;
          border: 1px solid #f47500;
          background: #fffaf7;
          padding: 28px 30px 0px 30px;
          display: flex;
          flex-flow: column;
          gap: 30px;
          ul {
            list-style-type: disc;
            padding-left: 30px;
            margin-bottom: 0px;
            @include lg{
              padding-left: 20px;
            }
            li {
              font-size: 20px;
              margin-bottom: 30px;
              color: getColorHex("black");
              line-height: 25px;
              @include xl{
                font-size: 18px;
              }
              @include lg{
                font-size: 16px;
              }
            }
          }
        }
      }
      .deviceSupportedBlock2 {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 20px;
        @include lg{
          gap: 15px;
        }
        .deviceBlock2Main1 {
          padding: 20px;
          border-radius: 25px;
          border: 1px solid #ececec;
          background: getColorHex("white");
          h3 {
            font-size: 24px;
            @include inter700;
            line-height: 175.023%;
            @include xl{
              font-size: 22px;
            }
          }
          h4 {
            padding-top: 44px;
            font-size: 20px;
            color: #000;
            line-height: 30px;
            @include xl{
              font-size: 20px;
              padding-top: 30px;
            }
            @include lg{
              font-size: 17px;
              padding-top: 20px;
            }
          }
          ul {
            list-style-type: disc;
            color: getColorHex("charcoal");
            padding-left: 30px;
            padding-top: 20px;
            margin-bottom: 0px;
            @include lg{
              padding-left: 20px;
            }
            li {
              color: getColorHex("charcoal");
              font-size: 16px;
              @include xl{
                font-size: 14px;
              }
              @include lg{
                font-size: 13px;
              }
            }
          }
        }
      }
      .deviceSupportedBlock3 {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 20px;
        @include lg{
          gap: 15px;
        }
        .deviceBlock2Main1 {
          padding: 20px;
          border-radius: 25px;
          border: 1px solid #ececec;
          background: getColorHex("white");
          h3 {
            font-size: 24px;
            @include inter700;
            line-height: 175.023%;
            @include xl{
              font-size: 22px;
            }
          }
          ul {
            list-style-type: disc;
            color: getColorHex("charcoal");
            padding-left: 30px;
            padding-top: 20px;
            margin-bottom: 0px;
            @include lg{
              padding-left: 20px;
            }
            li {
              color: getColorHex("charcoal");
              font-size: 16px;
              @include xl{
                font-size: 14px;
              }
              @include lg{
                font-size: 13px;
              }
            }
          }
        }
      }
      h1 {
        font-size: 36px;
        font-weight: 700;
        line-height: 175.023%;
        @include xl{
          font-size: 32px;
        }
        @include lg{
          font-size: 28px;
        }
      }
      .deviceSupportedBlock4 {
        display: flex;
        flex-flow: column;
        gap: 20px;
        .deviceBlock4 {
          display: grid;
          grid-template-columns: 1fr 1fr 1fr;
          gap: 20px;
          @include lg{
            gap: 15px;
          }
          .deviceBlock2Main1 {
            padding: 20px;
            border-radius: 25px;
            border: 1px solid #ececec;
            background: getColorHex("white");
            h3 {
              font-size: 24px;
              @include inter700;
              line-height: 175.023%;
              @include xl{
                font-size: 22px;
              }
            }
            ul {
              list-style-type: disc;
              color: getColorHex("charcoal");
              padding: 20px 0px 20px 24px;
              margin-bottom: 0px;
              @include lg{
                padding-left: 20px;
              }
              li {
                color: getColorHex("charcoal");
                font-size: 16px;
                @include xl{
                  font-size: 14px;
                }
                @include lg{
                  font-size: 13px;
                }
              }
            }
          }
        }
      }
    }
  }
}
